Package org.silverpeas.components.datawarning.service

## Class DataWarningEngine

- java.lang.Object
- - org.silverpeas.components.datawarning.service.DataWarningEngine

-     public final class DataWarningEngine
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataWarningEngine​(String cid)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createDataWarningGroup​(DataWarningGroup dwg)` |
    `protected void` | `createDataWarningQuery​(int queryType)` |
    `void` | `createDataWarningUser​(DataWarningUser dwu)` |
    `protected void` | `deleteDataQueries()` |
    `void` | `deleteDataWarningGroup​(int groupId)` |
    `void` | `deleteDataWarningGroups()` |
    `void` | `deleteDataWarningUser​(DataWarningUser dwu)` |
    `void` | `deleteDataWarningUsers()` |
    `DataWarning` | `getDataWarning()` |
    `DataWarningGroup` | `getDataWarningGroup​(int groupId)` |
    `Collection<DataWarningGroup>` | `getDataWarningGroups()` |
    `DataWarningQuery` | `getDataWarningQuery​(int queryType)` |
    `DataWarningScheduler` | `getDataWarningScheduler()` |
    `DataWarningUser` | `getDataWarningUser​(String userId)` |
    `Collection<DataWarningUser>` | `getDataWarningUsers()` |
    `DataWarning` | `getDataWarningWritable()` |
    `void` | `init()` |
    `void` | `restartSchedulerIfNeeded()` |
    `DataWarningResult` | `run()` |
    `void` | `startScheduler()` |
    `void` | `stopScheduler()` |
    `void` | `updateDataWarning​(DataWarning dw)` |
    `void` | `updateDataWarningGroup​(DataWarningGroup dwg)` |
    `void` | `updateDataWarningQuery​(DataWarningQuery dwq)` |
    `void` | `updateDataWarningScheduler​(DataWarningScheduler dws)` |
    `void` | `updateDataWarningUser​(DataWarningUser dwu)` |
    `void` | `updateSchedulerWakeUp​(long nextTime)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataWarningEngine

          public DataWarningEngine​(String cid)
                            throws DataWarningException

      Throws:
        `DataWarningException`

  - ### Method Detail

    - #### init

          public void init()
                    throws DataWarningException

      Throws:
        `DataWarningException`

    - #### run

          public DataWarningResult run()

    - #### updateDataWarning

          public void updateDataWarning​(DataWarning dw)
                                 throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarning

          public DataWarning getDataWarning()

    - #### getDataWarningWritable

          public DataWarning getDataWarningWritable()

    - #### createDataWarningQuery

          protected void createDataWarningQuery​(int queryType)
                                         throws DataWarningException

      Throws:
        `DataWarningException`

    - #### deleteDataQueries

          protected void deleteDataQueries()
                                    throws DataWarningException

      Throws:
        `DataWarningException`

    - #### updateDataWarningQuery

          public void updateDataWarningQuery​(DataWarningQuery dwq)
                                      throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarningQuery

          public DataWarningQuery getDataWarningQuery​(int queryType)

    - #### updateDataWarningScheduler

          public void updateDataWarningScheduler​(DataWarningScheduler dws)
                                          throws DataWarningException

      Throws:
        `DataWarningException`

    - #### updateSchedulerWakeUp

          public void updateSchedulerWakeUp​(long nextTime)

    - #### getDataWarningScheduler

          public DataWarningScheduler getDataWarningScheduler()

    - #### restartSchedulerIfNeeded

          public void restartSchedulerIfNeeded()

    - #### startScheduler

          public void startScheduler()
                              throws DataWarningException

      Throws:
        `DataWarningException`

    - #### stopScheduler

          public void stopScheduler()
                             throws DataWarningException

      Throws:
        `DataWarningException`

    - #### createDataWarningGroup

          public void createDataWarningGroup​(DataWarningGroup dwg)
                                      throws DataWarningException

      Throws:
        `DataWarningException`

    - #### deleteDataWarningGroup

          public void deleteDataWarningGroup​(int groupId)
                                      throws DataWarningException

      Throws:
        `DataWarningException`

    - #### deleteDataWarningGroups

          public void deleteDataWarningGroups()
                                       throws DataWarningException

      Throws:
        `DataWarningException`

    - #### updateDataWarningGroup

          public void updateDataWarningGroup​(DataWarningGroup dwg)
                                      throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarningGroups

          public Collection<DataWarningGroup> getDataWarningGroups()
                                                            throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarningGroup

          public DataWarningGroup getDataWarningGroup​(int groupId)
                                               throws DataWarningException

      Throws:
        `DataWarningException`

    - #### createDataWarningUser

          public void createDataWarningUser​(DataWarningUser dwu)
                                     throws DataWarningException

      Throws:
        `DataWarningException`

    - #### deleteDataWarningUser

          public void deleteDataWarningUser​(DataWarningUser dwu)
                                     throws DataWarningException

      Throws:
        `DataWarningException`

    - #### deleteDataWarningUsers

          public void deleteDataWarningUsers()
                                      throws DataWarningException

      Throws:
        `DataWarningException`

    - #### updateDataWarningUser

          public void updateDataWarningUser​(DataWarningUser dwu)
                                     throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarningUsers

          public Collection<DataWarningUser> getDataWarningUsers()
                                                          throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getDataWarningUser

          public DataWarningUser getDataWarningUser​(String userId)
                                             throws DataWarningException

      Throws:
        `DataWarningException`